import request from '@/utils/request'

const trainPlanAPI = {
    add: '/trainPlan/add',
    list: '/trainPlan/list',
    get: '/trainPlan/get',
    del: '/trainPlan/del'
}

export function trainPlanAdd(params) {
    return request({
        url: trainPlanAPI.add,
        method: 'post',
        data: params
    })
}

export function trainPlanList(params) {
    return request({
        url: trainPlanAPI.list,
        method: 'get',
        params: params
    })
}

export function trainPlanGet(params) {
    return request({
        url: trainPlanAPI.get,
        method: 'get',
        params: params
    })
}

export function trainPlanDel(params) {
    return request({
        url: trainPlanAPI.del,
        method: 'delete',
        params: params
    })
}